server:
  port: 12000

spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://182.151.8.209:33066/fkzy_operation?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&failOverReadOnly=false&serverTimezone=GMT%2b8&allowMultiQueries=true
    username: root
    password: Zjtc!@#0804
    druid:
      #配置初始化连接数大小
      initial-size: 50
      # 最大连接数
      maxActive: 100
      #最小连接数
      minIdle: 50
      #获取连接等待超时时间
      maxWait: 5000

  #Redis
  redis:
    host: 182.151.8.209
    port: 63799
    password: zjtc321!
    pool:
      max-total: 500
      max-idle: 100
      max-wait: 10
      min-idle: 1
      timeout: 6000


mybatis-plus:
  configuration:
    # 驼峰转换 从数据库列名到Java属性驼峰命名的类似映射
    map-underscore-to-camel-case: true
    # 是否开启缓存
    cache-enable: false
    # 如果查询结果中包含空值的列，则 MyBatis 在映射的时候，不会映射这个字段
    #call-setters-on-nulls: true
    # 打印sql
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    call-setters-on-nulls: true

minio:
  host: http://182.151.8.209:9000 # endpoint MinIO服务所在地址
  url: ${minio.host}/${minio.bucket}/
  access-key: zjtc
  secret-key: Zjtc!@#0804
  bucket: fkzy

ali:
  accessKeyId: http://182.151.8.209:8081/gas_apportal/publicApi/auth/logout
  secret: http://182.151.8.209:8081/gas_apportal/menu/getMenuByUserId


file:
  #附件上传盘符,liunx服务器需要切换
  fileUploadRootPath: D:/
  fileUploadPath: /upload/
  preViewRealPath: http://182.151.8.209:9000/fkzy/




